## ros-indigo-rail-object-detection 3.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rail_object_detection)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-rail-object-detection (3.0.2-0trusty) trusty; urgency=high

  * Update the default branch

 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Thu, 01 Nov 2018 04:00:00 -0000

ros-indigo-rail-object-detection (3.0.1-0trusty) trusty; urgency=high

  * Create a separate package for the messages
  * Contributors: Siddhartha Banerjee, banerjs

 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Fri, 07 Sep 2018 04:00:00 -0000

ros-indigo-rail-object-detection (2.0.1-0trusty) trusty; urgency=high



 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Mon, 11 Dec 2017 05:00:00 -0000

ros-indigo-rail-object-detection (1.0.4-0trusty) trusty; urgency=high



 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Thu, 09 Feb 2017 18:43:00 -0000

ros-indigo-rail-object-detection (1.0.3-0trusty) trusty; urgency=high



 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Thu, 09 Feb 2017 05:04:00 -0000

ros-indigo-rail-object-detection (1.0.2-0trusty) trusty; urgency=high



 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Fri, 03 Feb 2017 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-rail-object-detection
Section: misc
Priority: extra
Maintainer: Siddhartha Banerjee <banerjs.sid@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/rail_object_detection
Standards-Version: 3.9.2

Package: ros-indigo-rail-object-detection
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rail-object-detection-msgs, ros-indigo-rail-object-detector
Description: Object Detection methods used in the RAIL Lab

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rail-object-detection//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
